Bug 699469 - yumdownloader returns 0 when it is unsuccessful downloading the package you asked it for
yumdownloader returns 0 when it is unsuccessful downloading the package you a...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 699470
  Show dependency treegraph
 
Reported: 2011-04-25 14:48 EDT by James M. Leddy
Modified: 2014-08-11 01:43 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 699470 (view as bug list)
Environment:
Last Closed: 2014-05-28 05:50:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James M. Leddy 2011-04-25 14:48:14 EDT
Description of problem:
I attempt to download a file using yumdownloader. It fails, but does not exit non-zero. This makes it difficult to use in a script.

$ yumdownloader -c /tmp/m-update-rpmsB8b3/yum.conf --disablerepo=kickstart --enablerepo=reposync --destdir=/tmp/m-up-rpmsB8b3/rpms -q krb5-debuginfo-1.8.2-3.el6_0.4.x86_64
http://fullejo.etc.test.gs.com/reposync/rhel-x86_64-server-6-debuginfo/getPackage/krb5-debuginfo-1.8.2-3.el6_0.4.x86_64.rpm: [Errno 12] Timeout on http://fullejo.etc.test.gs.com/reposync/rhel-x86_64-server-6-debuginfo/getPackage/krb5-debuginfo-1.8.2-3.el6_0.4.x86_64.rpm: (28, '')
Trying other mirror.
Could not download/verify pkg krb5-debuginfo-1.8.2-3.el6_0.4.x86_64: failure: rhel-x86_64-server-6-debuginfo/getPackage/krb5-debuginfo-1.8.2-3.el6_0.4.x86_64.rpm from reposync: [Errno 256] No more mirrors to try.

$ echo $?
0

$ rpm -q yum-utils
yum-utils-1.1.28-1.fc14.noarch
Comment 2 James Antill 2011-04-26 11:36:27 EDT
 Fixed upstream.
Comment 4 Fedora End Of Life 2013-04-03 13:35:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.